require 'fastlane/action'
require_relative '../helper/test_demo_helper'

module Fastlane
  module Actions
    class TestDemoAction < Action
      def self.run(params)
        file_path = params[:path]
        file_content = File.read(file_path)
        return JSON.parse(file_content)
      end

      def self.description
        "A test demo of fastlane plugin"
      end

      def self.authors
        ["StephenCurry30"]
      end

      def self.return_value
        "The content of JSON file"
      end

      def self.available_options
        [
          FastlaneCore::ConfigItem.new(key: :path,
                                  env_name: "TEST_DEMO_PATH",
                               description: "Path to the JSON file",
                                  optional: false,
                                  verify_block: proc do | value |
                                    UI.user_error!("Couldn't not find given file") unless File.exist?(value)                                      
                                  end,
                                      type: String)
        ]
      end

      def self.is_supported?(platform)
        # Adjust this if your plugin only works for a particular platform (iOS vs. Android, for example)
        # See: https://docs.fastlane.tools/advanced/#control-configuration-by-lane-and-by-platform
        #
        # [:ios, :mac, :android].include?(platform)
        true
      end
    end
  end
end
